source: trunk/debathena/config/printing-config/debian/debathena-printing-config.postinst @ 24206

Revision 24206, 1.2 KB checked in by geofft, 14 years ago (diff)
Inspired by r24205, tweak the version check in various postinsts. The version check should take into account Debathena's ~distro version tags. Like the previous commit, this is for reference and does not necessitate a rebuild, if for no other reason than we've advanced well past the version in question.
  • Property svn:executable set to *
Line 
1#!/bin/sh
2# postinst script for #PACKAGE#
3#
4# see: dh_installdeb(1)
5
6set -e
7
8# summary of how this script can be called:
9#        * <postinst> `configure' <most-recently-configured-version>
10#        * <old-postinst> `abort-upgrade' <new version>
11#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
12#          <new-version>
13#        * <postinst> `abort-remove'
14#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
15#          <failed-install-package> <version> `removing'
16#          <conflicting-package> <version>
17# for details, see http://www.debian.org/doc/debian-policy/ or
18# the debian-policy package
19
20
21case "$1" in
22    configure)
23        if [ -e /etc/cups/lpoptions ]; then
24            sed -i -e '/### BEGIN debathena-printing-config/,/### END debathena-printing-config/d' /etc/cups/lpoptions
25        fi
26
27        if dpkg --compare-versions "$2" lt 1.17~; then
28            rm -f /etc/debathena-printing.conf || true
29        fi
30    ;;
31
32    abort-upgrade|abort-remove|abort-deconfigure)
33    ;;
34
35    *)
36        echo "postinst called with unknown argument \`$1'" >&2
37        exit 1
38    ;;
39esac
40
41# dh_installdeb will replace this with shell code automatically
42# generated by other debhelper scripts.
43
44#DEBHELPER#
45
46exit 0
47
48
Note: See TracBrowser for help on using the repository browser.